System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

When a component is selected, its viewable or editable properties are shown in the Properties window.

Provides an interface for a designer to select components.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method can be used to check whether a specific component is currently selected. This process is generally quicker than getting and parsing the entire list of selected components.

  Gets a value indicating whether the specified component is currently selected.

  true if the component is part of the user's current selection; otherwise, false.

  The component to test.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ICollection To be added

  Gets a collection of components that are currently selected.

  A collection that represents the current set of components that are selected.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object'

  When multiple components are selected at design time, one of the objects is the primary selected object. Some operations behave differently depending on which selected component is the primary selected object. The primary selected object is typically the last object that was selected, but the primary object of a multiple component selection can be changed to any of the selected components. The primary selected object has a selection border that is distinct in appearance from the other selected objects. The specific type of visual distinction depends on the development environment's implementation of a selection user interface.

  Gets the object that is currently the primary selected object.

- Event
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.EventHandler

  Minimize processing when handling this event, because processing that occurs within this event handler can significantly affect the overall performance of the form designer.

  Occurs when the current selection changes.

- Event
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.EventHandler

  Minimize processing when handling this event, because processing that occurs within this event handler can significantly affect the overall performance of the form designer.

  Occurs when the current selection is about to change.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the count of selected objects.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  If the array is null or does not contain any components, selects the top-level component in the designer.

  Selects the specified collection of components.

  The collection of components to select.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  If the array is null or does not contain any components, selects the top-level component in the designer.

  Selects the components from within the specified collection of components that match the specified selection type.

  The collection of components to select. A value from the enumeration. The default is .